Skip to main content
GET
Get a balance for a single account
Retrieve all balances for a single account by account ID.

Authorizations

x-api-key
string
header
required

An API Key.

Headers

Authorization
string
required

The access token

X-Contact-ID
string

The ID of the contact

Path Parameters

account_id
string
required

The UUID of the account

Query Parameters

client_id
string
required

The ID of the client

balance_types
enum<string>[]

The balance types to be retrieved. Multiple types can be specified by repeating the parameter (e.g., balance_types=InterimAvailable&balance_types=Outgoing).

Available options:
InterimAvailable,
RequiredFunds,
RequiredFundsImmediate,
Outgoing,
Incoming,
InitialMargin,
MarginCall,
Processing

Response

Returns the requested balance

account_id
string | null
required

The UUID of the account. Null for aggregate balance types (Incoming, Outgoing, RequiredFundsImmediate, Processing) which are calculated across all accounts for a currency.

amount
object
required
credit_debit_indicator
enum<string>
required

Whether the balance is credit or debit

Available options:
Credit,
Debit
datetime
string
required

The date and time when the balance was calculated.

type
enum<string>
required

Balance type enumeration. RequiredFundsImmediate: items due now (same as Ebury Online). RequiredFunds: includes future-dated items (kept for backwards compatibility).

Available options:
InterimAvailable,
RequiredFunds,
RequiredFundsImmediate,
Outgoing,
Incoming,
InitialMargin,
MarginCall,
Processing